function BerechneGesamt() {
    var gverbrauch;
    var tage        = parseInt(document.getElementById('gtage').value);
    var stunden     = parseInt(document.getElementById('gstunden').value);
    var minuten     = parseInt(document.getElementById('gminuten').value);
    var matrosen    = parseInt(document.getElementById('gmatrosen').value);
    document.getElementById('gverbrauch').value = window.opener.document.getElementById("YohohoFoodCalcStrings").getString('consumption') + ': ' + (Math.ceil(matrosen / 3) * Math.ceil(((tage * 24) + stunden + Math.ceil(minuten / 60)) / 4)) * 2;
}

function BerechneReichweite() {
    var reichweite;
    var matrosen    = parseInt(document.getElementById('rmatrosen').value);
    var proviant    = parseInt(document.getElementById('rproviant').value);
    if(matrosen != 0 && proviant != 0){
        var gesamt  = Math.floor(Math.floor(proviant / 2) / Math.ceil(matrosen / 3)) * 4;
        var tage    = Math.floor(gesamt / 24);
    }
    else {
        var gesamt  = 0;
        var tage    = 0 ;
    }
    var stunden     = gesamt - (tage * 24);
    var minuten     = '00';

    if(tage < 10) {
        tage = '0' + tage;
    }
    if(stunden < 10) {
        stunden = '0' + stunden;
    }

    document.getElementById('rreichweite').value = window.opener.document.getElementById("YohohoFoodCalcStrings").getString('range') + ':  ' + tage + ':' + stunden + ':' + minuten;
}

function FeldSelect(id) {
    document.getElementById(id).select();
}

function dragCounterValue(){
    var jetzt = new Date();
    var endtime = new Date(parseInt(window.opener.YohohoBarCounter.counterEndTime));
    var counter = ((endtime.getTime() - jetzt.getTime()) / 1000) + 1;

    if(counter > 0){
        document.getElementById('gtage').value      = Math.floor(counter / 24 / 60);
        document.getElementById('gstunden').value   = Math.floor(counter / 60 ) - (document.getElementById('gtage').value * 24);
        document.getElementById('gminuten').value   = Math.floor(counter - (document.getElementById('gtage').value * 24 * 60) - (document.getElementById('gstunden').value * 60));
        BerechneGesamt();
    }
}

function readSailor(field){
    var child;
    if(window.opener.YohohoBarCounter.searchYohoho()){
        if (window.opener.YohohoBarCounter.yohohoWin.document.URL == window.opener.YohohoBarCounter.serverUrl + "main/landgang.php" || window.opener.YohohoBarCounter.yohohoWin.document.URL == window.opener.YohohoBarCounter.serverUrl + "main/landgang.php?wo=hlok"){
            try{
                var sailor = window.opener.YohohoBarCounter.yohohoWin.document.getElementsByTagName('td')[66].firstChild.data.split('/');
                document.getElementById(field).value = sailor[0];
                BerechneGesamt();
                BerechneReichweite();
            }
            catch(e){
                alert(window.opener.document.getElementById("YohohoFoodCalcStrings").getString('sailorNotRead'));
            }
        }
        else{
            alert(window.opener.document.getElementById("YohohoCounterStrings").getString('noLandInfo'));
        }
    }
    else {
        alert(window.opener.document.getElementById("YohohoCounterStrings").getString('noYohohoInfo'));
    }
}

function readFood(field){
    var child;
    if(window.opener.YohohoBarCounter.searchYohoho()){
        if (window.opener.YohohoBarCounter.yohohoWin.document.URL == window.opener.YohohoBarCounter.serverUrl + "main/landgang.php" || window.opener.YohohoBarCounter.yohohoWin.document.URL == window.opener.YohohoBarCounter.serverUrl + "main/landgang.php?wo=hlok"){
            try{
                var food = window.opener.YohohoBarCounter.yohohoWin.document.getElementsByTagName('td')[67].firstChild.data;
                document.getElementById(field).value = food;
                BerechneReichweite();
            }
            catch(e){
                alert(window.opener.document.getElementById("YohohoFoodCalcStrings").getString('foodNotRead'));
            }
        }
        else{
            alert(window.opener.document.getElementById("YohohoCounterStrings").getString('noLandInfo'));
        }
    }
    else {
        alert(window.opener.document.getElementById("YohohoCounterStrings").getString('noYohohoInfo'));
    }
}
